#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE TABLES FOR GOSALES SCHEMA
echo echo CREATING TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.BRANCH \(BRANCH_CODE INTEGER NOT NULL,
echo ADDRESS1 VARCHAR \(120        \)NOT NULL,
echo ADDRESS1_MB VARCHAR \(120        \),
echo ADDRESS2 VARCHAR \(120        \),
echo ADDRESS2_MB VARCHAR \(120        \),
echo CITY VARCHAR \(60         \)NOT NULL,
echo CITY_MB VARCHAR \(60         \)NOT NULL,
echo PROV_STATE VARCHAR \(60         \),
echo PROV_STATE_MB VARCHAR \(60         \),
echo POSTAL_ZONE VARCHAR \(30         \)NOT NULL,
echo COUNTRY_CODE INTEGER NOT NULL,
echo ORGANIZATION_CODE VARCHAR \(30         \)NOT NULL,
echo WAREHOUSE_BRANCH_CODE INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.CONVERSION_RATE:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.CONVERSION_RATE \(COUNTRY_CODE INTEGER NOT NULL,
echo CONVERSION_YEAR SMALLINT NOT NULL,
echo CONVERSION_MONTH SMALLINT NOT NULL,
echo CONVERSION_TO_LOCAL DOUBLE NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.COUNTRY:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.COUNTRY \(COUNTRY_CODE INTEGER NOT NULL,
echo COUNTRY_EN VARCHAR \(90         \),
echo COUNTRY_CS VARCHAR \(90         \),
echo COUNTRY_DA VARCHAR \(90         \),
echo COUNTRY_DE VARCHAR \(90         \),
echo COUNTRY_EL VARCHAR \(90         \),
echo COUNTRY_ES VARCHAR \(90         \),
echo COUNTRY_FI VARCHAR \(90         \),
echo COUNTRY_FR VARCHAR \(90         \),
echo COUNTRY_HU VARCHAR \(90         \),
echo COUNTRY_ID VARCHAR \(90         \),
echo COUNTRY_IT VARCHAR \(90         \),
echo COUNTRY_JA VARCHAR \(90         \),
echo COUNTRY_KO VARCHAR \(90         \),
echo COUNTRY_MS VARCHAR \(90         \),
echo COUNTRY_NL VARCHAR \(90         \),
echo COUNTRY_NO VARCHAR \(90         \),
echo COUNTRY_PL VARCHAR \(90         \),
echo COUNTRY_PT VARCHAR \(90         \),
echo COUNTRY_RU VARCHAR \(90         \),
echo COUNTRY_SC VARCHAR \(90         \),
echo COUNTRY_SV VARCHAR \(90         \),
echo COUNTRY_TC VARCHAR \(90         \),
echo COUNTRY_TH VARCHAR \(90         \),
echo FLAG_IMAGE VARCHAR \(45         \),
echo SALES_REGION_CODE INTEGER ,
echo ISO_THREE_LETTER_CODE VARCHAR \(9          \),
echo ISO_TWO_LETTER_CODE VARCHAR \(6          \),
echo ISO_THREE_DIGIT_CODE VARCHAR \(9          \),
echo EURO_IN_USE_SINCE TIMESTAMP \)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.CURRENCY_LOOKUP:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.CURRENCY_LOOKUP \(COUNTRY_CODE INTEGER NOT NULL,
echo CURRENCY_EN VARCHAR \(75         \),
echo CURRENCY_DE VARCHAR \(75         \),
echo CURRENCY_FR VARCHAR \(75         \),
echo CURRENCY_JA VARCHAR \(75         \),
echo CURRENCY_CS VARCHAR \(75         \),
echo CURRENCY_DA VARCHAR \(75         \),
echo CURRENCY_EL VARCHAR \(75         \),
echo CURRENCY_ES VARCHAR \(75         \),
echo CURRENCY_FI VARCHAR \(75         \),
echo CURRENCY_HU VARCHAR \(75         \),
echo CURRENCY_ID VARCHAR \(75         \),
echo CURRENCY_IT VARCHAR \(75         \),
echo CURRENCY_KO VARCHAR \(75         \),
echo CURRENCY_MS VARCHAR \(75         \),
echo CURRENCY_NL VARCHAR \(75         \),
echo CURRENCY_NO VARCHAR \(75         \),
echo CURRENCY_PL VARCHAR \(75         \),
echo CURRENCY_PT VARCHAR \(75         \),
echo CURRENCY_RU VARCHAR \(75         \),
echo CURRENCY_SC VARCHAR \(75         \),
echo CURRENCY_SV VARCHAR \(75         \),
echo CURRENCY_TC VARCHAR \(75         \),
echo CURRENCY_TH VARCHAR \(75         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.EURO_CONVERSION:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.EURO_CONVERSION \(COUNTRY_CODE INTEGER NOT NULL,
echo EURO_YEAR SMALLINT NOT NULL,
echo EURO_MONTH SMALLINT NOT NULL,
echo EURO_TO_LOCAL DOUBLE NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.INVENTORY_LEVELS:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.INVENTORY_LEVELS \(INVENTORY_YEAR SMALLINT NOT NULL,
echo INVENTORY_MONTH SMALLINT NOT NULL,
echo WAREHOUSE_BRANCH_CODE INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo OPENING_INVENTORY INTEGER ,
echo QUANTITY_SHIPPED INTEGER ,
echo ADDITIONS INTEGER ,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo CLOSING_INVENTORY INTEGER NOT NULL,
echo AVERAGE_UNIT_COST DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.ORDER_DETAILS:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.ORDER_DETAILS \(ORDER_DETAIL_CODE INTEGER NOT NULL,
echo ORDER_NUMBER INTEGER NOT NULL,
echo SHIP_DATE TIMESTAMP NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo PROMOTION_CODE INTEGER NOT NULL,
echo QUANTITY INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo UNIT_SALE_PRICE DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.ORDER_HEADER:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.ORDER_HEADER \(ORDER_NUMBER INTEGER NOT NULL,
echo RETAILER_NAME VARCHAR \(150        \)NOT NULL,
echo RETAILER_NAME_MB VARCHAR \(150        \)NOT NULL,
echo RETAILER_SITE_CODE INTEGER NOT NULL,
echo RETAILER_CONTACT_CODE INTEGER NOT NULL,
echo SALES_STAFF_CODE INTEGER NOT NULL,
echo SALES_BRANCH_CODE INTEGER NOT NULL,
echo ORDER_DATE TIMESTAMP NOT NULL,
echo ORDER_CLOSE_DATE TIMESTAMP NOT NULL,
echo ORDER_METHOD_CODE INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_CODE INTEGER NOT NULL,
echo ORDER_METHOD_EN VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_FR VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_DE VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_NL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_JA VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_SC VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_KO VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_CS VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_HU VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_PT VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_TC VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_DA VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_EL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_FI VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_IT VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_NO VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_PL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_RU VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_SV VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_ES VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_TH VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_MS VARCHAR \(90         \),
echo ORDER_METHOD_ID VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT \(PRODUCT_NUMBER INTEGER NOT NULL,
echo BASE_PRODUCT_NUMBER INTEGER ,
echo INTRODUCTION_DATE TIMESTAMP ,
echo DISCONTINUED_DATE TIMESTAMP ,
echo PRODUCT_TYPE_CODE INTEGER NOT NULL,
echo PRODUCT_COLOR_CODE INTEGER ,
echo PRODUCT_SIZE_CODE INTEGER ,
echo PRODUCT_BRAND_CODE INTEGER ,
echo PRODUCTION_COST DECIMAL \(19         ,2     \),
echo GROSS_MARGIN DOUBLE ,
echo PRODUCT_IMAGE VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_BRAND:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_BRAND \(PRODUCT_BRAND_CODE INTEGER NOT NULL,
echo PRODUCT_BRAND_EN VARCHAR \(90         \),
echo PRODUCT_BRAND_DE VARCHAR \(90         \),
echo PRODUCT_BRAND_FR VARCHAR \(90         \),
echo PRODUCT_BRAND_JA VARCHAR \(90         \),
echo PRODUCT_BRAND_CS VARCHAR \(90         \),
echo PRODUCT_BRAND_DA VARCHAR \(90         \),
echo PRODUCT_BRAND_EL VARCHAR \(90         \),
echo PRODUCT_BRAND_ES VARCHAR \(90         \),
echo PRODUCT_BRAND_FI VARCHAR \(90         \),
echo PRODUCT_BRAND_HU VARCHAR \(90         \),
echo PRODUCT_BRAND_ID VARCHAR \(90         \),
echo PRODUCT_BRAND_IT VARCHAR \(90         \),
echo PRODUCT_BRAND_KO VARCHAR \(90         \),
echo PRODUCT_BRAND_MS VARCHAR \(90         \),
echo PRODUCT_BRAND_NL VARCHAR \(90         \),
echo PRODUCT_BRAND_NO VARCHAR \(90         \),
echo PRODUCT_BRAND_PL VARCHAR \(90         \),
echo PRODUCT_BRAND_PT VARCHAR \(90         \),
echo PRODUCT_BRAND_RU VARCHAR \(90         \),
echo PRODUCT_BRAND_SC VARCHAR \(90         \),
echo PRODUCT_BRAND_SV VARCHAR \(90         \),
echo PRODUCT_BRAND_TC VARCHAR \(90         \),
echo PRODUCT_BRAND_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP \(PRODUCT_COLOR_CODE INTEGER NOT NULL,
echo PRODUCT_COLOR_EN VARCHAR \(90         \),
echo PRODUCT_COLOR_DE VARCHAR \(90         \),
echo PRODUCT_COLOR_FR VARCHAR \(90         \),
echo PRODUCT_COLOR_JA VARCHAR \(90         \),
echo PRODUCT_COLOR_CS VARCHAR \(90         \),
echo PRODUCT_COLOR_DA VARCHAR \(90         \),
echo PRODUCT_COLOR_EL VARCHAR \(90         \),
echo PRODUCT_COLOR_ES VARCHAR \(90         \),
echo PRODUCT_COLOR_FI VARCHAR \(90         \),
echo PRODUCT_COLOR_HU VARCHAR \(90         \),
echo PRODUCT_COLOR_ID VARCHAR \(90         \),
echo PRODUCT_COLOR_IT VARCHAR \(90         \),
echo PRODUCT_COLOR_KO VARCHAR \(90         \),
echo PRODUCT_COLOR_MS VARCHAR \(90         \),
echo PRODUCT_COLOR_NL VARCHAR \(90         \),
echo PRODUCT_COLOR_NO VARCHAR \(90         \),
echo PRODUCT_COLOR_PL VARCHAR \(90         \),
echo PRODUCT_COLOR_PT VARCHAR \(90         \),
echo PRODUCT_COLOR_RU VARCHAR \(90         \),
echo PRODUCT_COLOR_SC VARCHAR \(90         \),
echo PRODUCT_COLOR_SV VARCHAR \(90         \),
echo PRODUCT_COLOR_TC VARCHAR \(90         \),
echo PRODUCT_COLOR_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_FORECAST:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_FORECAST \(SALES_YEAR INTEGER NOT NULL,
echo SALES_MONTH INTEGER NOT NULL,
echo BRANCH_CODE INTEGER NOT NULL,
echo BASE_PRODUCT_NUMBER INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo EXPECTED_VOLUME INTEGER \)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_CODE INTEGER NOT NULL,
echo PRODUCT_LINE_EN VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_FR VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_DE VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_NL VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_SC VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_KO VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_JA VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_CS VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_HU VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_PT VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_TC VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_DA VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_EL VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_FI VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_IT VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_NO VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_PL VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_RU VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_SV VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_ES VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_TH VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_MS VARCHAR \(90         \),
echo PRODUCT_LINE_ID VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP \(PRODUCT_NUMBER INTEGER NOT NULL,
echo PRODUCT_LANGUAGE VARCHAR \(30         \)NOT NULL,
echo PRODUCT_NAME VARCHAR \(150        \),
echo PRODUCT_DESCRIPTION VARCHAR \(765        \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP \(PRODUCT_SIZE_CODE INTEGER NOT NULL,
echo PRODUCT_SIZE_EN VARCHAR \(90         \),
echo PRODUCT_SIZE_DE VARCHAR \(90         \),
echo PRODUCT_SIZE_FR VARCHAR \(90         \),
echo PRODUCT_SIZE_JA VARCHAR \(90         \),
echo PRODUCT_SIZE_CS VARCHAR \(90         \),
echo PRODUCT_SIZE_DA VARCHAR \(90         \),
echo PRODUCT_SIZE_EL VARCHAR \(90         \),
echo PRODUCT_SIZE_ES VARCHAR \(90         \),
echo PRODUCT_SIZE_FI VARCHAR \(90         \),
echo PRODUCT_SIZE_HU VARCHAR \(90         \),
echo PRODUCT_SIZE_ID VARCHAR \(90         \),
echo PRODUCT_SIZE_IT VARCHAR \(90         \),
echo PRODUCT_SIZE_KO VARCHAR \(90         \),
echo PRODUCT_SIZE_MS VARCHAR \(90         \),
echo PRODUCT_SIZE_NL VARCHAR \(90         \),
echo PRODUCT_SIZE_NO VARCHAR \(90         \),
echo PRODUCT_SIZE_PL VARCHAR \(90         \),
echo PRODUCT_SIZE_PT VARCHAR \(90         \),
echo PRODUCT_SIZE_RU VARCHAR \(90         \),
echo PRODUCT_SIZE_SC VARCHAR \(90         \),
echo PRODUCT_SIZE_SV VARCHAR \(90         \),
echo PRODUCT_SIZE_TC VARCHAR \(90         \),
echo PRODUCT_SIZE_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_CODE INTEGER NOT NULL,
echo PRODUCT_LINE_CODE INTEGER NOT NULL,
echo PRODUCT_TYPE_EN VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_FR VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_DE VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_NL VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_JA VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_SC VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_KO VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_CS VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_HU VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_PT VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_TC VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_DA VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_EL VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_FI VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_IT VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_NO VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_PL VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_RU VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_SV VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_ES VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_TH VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_MS VARCHAR \(120        \),
echo PRODUCT_TYPE_ID VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.RETURNED_ITEM:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.RETURNED_ITEM \(RETURN_CODE INTEGER NOT NULL,
echo RETURN_DATE TIMESTAMP ,
echo ORDER_DETAIL_CODE INTEGER NOT NULL,
echo RETURN_REASON_CODE INTEGER NOT NULL,
echo RETURN_QUANTITY INTEGER ,
echo ASSIGNED_TO INTEGER ,
echo FOLLOW_UP_CODE INTEGER ,
echo COMMENTS VARCHAR \(765        \),
echo DATE_ADVISED TIMESTAMP \)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.RETURN_REASON \(RETURN_REASON_CODE INTEGER NOT NULL,
echo REASON_DESCRIPTION_EN VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_FR VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_DE VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_NL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_JA VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_SC VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_KO VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_CS VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_HU VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_PT VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_TC VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_DA VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_EL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_FI VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_IT VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_NO VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_PL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_RU VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_SV VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_ES VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_TH VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_MS VARCHAR \(120        \),
echo REASON_DESCRIPTION_ID VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.SALES_REGION:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.SALES_REGION \(SALES_REGION_CODE INTEGER NOT NULL,
echo SALES_REGION_EN VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_FR VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_DE VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_NL VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_JA VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_CS VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_HU VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_KO VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_PT VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_SC VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_TC VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_DA VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_EL VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_FI VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_IT VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_NO VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_PL VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_RU VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_SV VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_ES VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_TH VARCHAR \(90         \)NOT NULL,
echo SALES_REGION_MS VARCHAR \(90         \),
echo SALES_REGION_ID VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.SALES_TARGET:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.SALES_TARGET \(SALES_YEAR INTEGER NOT NULL,
echo SALES_PERIOD INTEGER NOT NULL,
echo COUNTRY_CODE_RETAILER INTEGER NOT NULL,
echo SALES_STAFF_CODE INTEGER NOT NULL,
echo RETAILER_CODE INTEGER NOT NULL,
echo RETAILER_NAME VARCHAR \(150        \)NOT NULL,
echo PRODUCT_TYPE_CODE INTEGER NOT NULL,
echo PRODUCT_BRAND_CODE INTEGER NOT NULL,
echo SALES_TARGET DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.TIME_DIMENSION:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.TIME_DIMENSION \(DAY_KEY INTEGER NOT NULL,
echo DAY_DATE TIMESTAMP ,
echo MONTH_KEY INTEGER NOT NULL,
echo CURRENT_MONTH SMALLINT ,
echo QUARTER_KEY INTEGER NOT NULL,
echo CURRENT_QUARTER SMALLINT ,
echo CURRENT_YEAR SMALLINT NOT NULL,
echo DAY_OF_WEEK SMALLINT ,
echo DAY_OF_MONTH SMALLINT ,
echo DAYS_IN_MONTH SMALLINT ,
echo DAY_OF_YEAR SMALLINT ,
echo WEEK_OF_MONTH SMALLINT ,
echo WEEK_OF_QUARTER SMALLINT ,
echo WEEK_OF_YEAR SMALLINT ,
echo MONTH_EN VARCHAR \(75         \),
echo WEEKDAY_EN VARCHAR \(60         \),
echo MONTH_DE VARCHAR \(75         \),
echo WEEKDAY_DE VARCHAR \(60         \),
echo MONTH_FR VARCHAR \(75         \),
echo WEEKDAY_FR VARCHAR \(60         \),
echo MONTH_JA VARCHAR \(75         \),
echo WEEKDAY_JA VARCHAR \(60         \),
echo MONTH_CS VARCHAR \(75         \),
echo WEEKDAY_CS VARCHAR \(60         \),
echo MONTH_DA VARCHAR \(75         \),
echo WEEKDAY_DA VARCHAR \(60         \),
echo MONTH_EL VARCHAR \(75         \),
echo WEEKDAY_EL VARCHAR \(60         \),
echo MONTH_ES VARCHAR \(75         \),
echo WEEKDAY_ES VARCHAR \(60         \),
echo MONTH_FI VARCHAR \(75         \),
echo WEEKDAY_FI VARCHAR \(60         \),
echo MONTH_HU VARCHAR \(75         \),
echo WEEKDAY_HU VARCHAR \(60         \),
echo MONTH_ID VARCHAR \(75         \),
echo WEEKDAY_ID VARCHAR \(60         \),
echo MONTH_IT VARCHAR \(75         \),
echo WEEKDAY_IT VARCHAR \(60         \),
echo MONTH_KO VARCHAR \(75         \),
echo WEEKDAY_KO VARCHAR \(60         \),
echo MONTH_MS VARCHAR \(75         \),
echo WEEKDAY_MS VARCHAR \(60         \),
echo MONTH_NL VARCHAR \(75         \),
echo WEEKDAY_NL VARCHAR \(60         \),
echo MONTH_NO VARCHAR \(75         \),
echo WEEKDAY_NO VARCHAR \(60         \),
echo MONTH_PL VARCHAR \(75         \),
echo WEEKDAY_PL VARCHAR \(60         \),
echo MONTH_PT VARCHAR \(75         \),
echo WEEKDAY_PT VARCHAR \(60         \),
echo MONTH_RU VARCHAR \(75         \),
echo WEEKDAY_RU VARCHAR \(60         \),
echo MONTH_SC VARCHAR \(75         \),
echo WEEKDAY_SC VARCHAR \(60         \),
echo MONTH_SV VARCHAR \(75         \),
echo WEEKDAY_SV VARCHAR \(60         \),
echo MONTH_TC VARCHAR \(75         \),
echo WEEKDAY_TC VARCHAR \(60         \),
echo MONTH_TH VARCHAR \(75         \),
echo WEEKDAY_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP \(QUARTER_KEY INTEGER NOT NULL,
echo QUARTER_EN VARCHAR \(60         \),
echo QUARTER_DE VARCHAR \(60         \),
echo QUARTER_FR VARCHAR \(60         \),
echo QUARTER_JA VARCHAR \(60         \),
echo QUARTER_CS VARCHAR \(60         \),
echo QUARTER_DA VARCHAR \(60         \),
echo QUARTER_EL VARCHAR \(60         \),
echo QUARTER_ES VARCHAR \(60         \),
echo QUARTER_FI VARCHAR \(60         \),
echo QUARTER_HU VARCHAR \(60         \),
echo QUARTER_ID VARCHAR \(60         \),
echo QUARTER_IT VARCHAR \(60         \),
echo QUARTER_KO VARCHAR \(60         \),
echo QUARTER_MS VARCHAR \(60         \),
echo QUARTER_NL VARCHAR \(60         \),
echo QUARTER_NO VARCHAR \(60         \),
echo QUARTER_PL VARCHAR \(60         \),
echo QUARTER_PT VARCHAR \(60         \),
echo QUARTER_RU VARCHAR \(60         \),
echo QUARTER_SC VARCHAR \(60         \),
echo QUARTER_SV VARCHAR \(60         \),
echo QUARTER_TC VARCHAR \(60         \),
echo QUARTER_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALES_SCHEMA}.XGOREV:
echo @
echo CREATE TABLE ${GOSALES_SCHEMA}.XGOREV \(GOREV_ID INTEGER NOT NULL,
echo GO_OBJ_NAME VARCHAR \(210        \)NOT NULL,
echo GO_OBJ_TYPE VARCHAR \(150        \)NOT NULL,
echo GO_OBJ_PARENT_NAME VARCHAR \(210        \)NOT NULL,
echo GO_OBJ_PARENT_TYPE VARCHAR \(150        \)NOT NULL,
echo GO_DATA_OR_METADATA VARCHAR \(150        \)NOT NULL,
echo GO_RELEASE VARCHAR \(150        \)NOT NULL,
echo GO_CHANGE_DATE TIMESTAMP NOT NULL,
echo GO_CHANGE_DESCRIPTION VARCHAR \(3000       \)NOT NULL\)
echo @
echo


